<template>
  <q-card v-if="table && table.parameters" class="q-mt-md q-pb-md">
    <q-expansion-item label="Parameters" header-class="heading_expansion__parameters" default-opened
                      expand-icon-class="text-teal-10" switch-toggle-side role="region"
                      aria-label="Parameters">
      <table>
        <tr>
          <th>name</th>
          <th>type</th>
          <th>select</th>
          <th>required</th>
        </tr>
        <tr v-for="parameter in table.parameters" :key="parameter.id" :label="parameter.name">
          <td>{{ parameter.name }}</td>
          <td>{{ parameter.as_datatype }}</td>
          <td>{{ parameter.select }}</td>
          <td>{{ parameter.required }}</td>
        </tr>
      </table>
    </q-expansion-item>
  </q-card>
</template>

<script>
export default {
  name: "ParameterDetail",
  props: {
    table: Object
  }
}
</script>

<style scoped lang="scss">
table {
  width: 95%;
  border-collapse: collapse;
  margin: 10px auto;
  border: 1px solid $secondary;
  padding-bottom: 10px;
}

th {
  text-align: left;
}

td, th {
  border: 1px solid $secondary;
  padding: 4px 5px;
  vertical-align: top;
}

</style>
